@import "@/styles/variables";

.dataset-card {
    @include col;

    gap: 0.75rem;
    min-height: 10rem;
    box-shadow: none;

    @include notebook {
        padding: 2rem;
    }

    &__top-line {
        color: $primary-color-dark;

        @include paragraph;
    }

    &__heading {
        display: flex;
        gap: 0.5rem;
        align-items: center;
        width: 100%;
    }

    .invalid {
        color: $secondary-color;
    }

    &__validation {
        display: flex;
        gap: 0.2rem;
        line-height: 24px;
        cursor: pointer;
        text-align: start;

        @include smallscreen {
            align-items: center;
        }

        &_icon {
            min-width: fit-content;
        }
    }

    &__info {
        @include col;

        @include smallscreen {
            flex-direction: row;
            justify-content: space-between;
        }
    }

    &__description {
        color: $primary-color-light;
        display: flex;
        gap: 0.5rem;

        span {
            color: $primary-color-dark;
            font-family: $primary-font-bold;
        }
    }

    &__formats {
        color: $primary-color-dark;
        margin-top: auto;

        @include paragraph;
    }
}
